
/*
 * (C) COPYRIGHT 2014 CRZ
 *
 * File Name : test_pir_sensor.c
 * Author    : icanjji
 * Version   : V1.0
 * Date      : 09/12/2014
 */

/* includes */

#include "hw_config.h"
#include "global_types.h"
#include "uart_queue.h"


static bool g_print_menu_control_flag = TRUE;
static void print_pir_menu_command(void)
{
    if(TRUE == g_print_menu_control_flag)
    {
        printf("\n---------------------\n");
        printf("Press menu key\n");
        printf("---------------------\n");
        printf("0> Read port State\n");
        printf("---------------------\n");
        printf("x> quit\n\n");
    }

    g_print_menu_control_flag = FALSE;
}
void gpio_pir_port_init(void)
{
    GPIO_InitTypeDef GPIO_InitStructure;
	
    GPIO_InitStructure.GPIO_Pin   = GPIO_MCU_INT_PIN ;
    GPIO_InitStructure.GPIO_Mode  = GPIO_Mode_IN;
    GPIO_InitStructure.GPIO_OType = GPIO_OType_OD;
    GPIO_InitStructure.GPIO_PuPd  = GPIO_PuPd_NOPULL;
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_40MHz;
    GPIO_Init(GPIO_MCU_INT, &GPIO_InitStructure);

}

void Test_LED_On(void)
{
    GPIO_ResetBits(GPIO_LED_GPIO_PORT, GPIO_LED_1_PIN << 0);
}
void Test_LED_Off(void)
{
    GPIO_SetBits(GPIO_LED_GPIO_PORT, GPIO_LED_1_PIN << 0);
}
void Test_Sensor_PIR(void)
{
    uint8_t ch;


    DEBUG_MSG_FUNC_START;

   gpio_pir_port_init();
    while(1)
    {
        print_pir_menu_command();

        if(FALSE == UartQueue_Serial_Is_Empty())
        {
            ch = UartQueue_Serial_DeQueue();
            printf("%c is selected\n\n", (char)ch);

            switch((char)ch)
            {
            case '0':
		  //ch=GPIO_ReadOutputDataBit(GPIO_MCU_INT, GPIO_MCU_INT_PIN);
		   printf(" status %d\n",GPIO_ReadInputDataBit(GPIO_MCU_INT, GPIO_MCU_INT_PIN));
                 if(GPIO_ReadInputDataBit(GPIO_MCU_INT, GPIO_MCU_INT_PIN))
				 	Test_LED_Off();
		   else
		   			Test_LED_On();
                break;


            }

            g_print_menu_control_flag = TRUE;

            if('x' == (char)ch)
            {
                break;
            }
        }
    }	
    return;	
}
