#ifndef __TEST_ACTUATOR_H
#define __TEST_ACTUATOR_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* Includes ------------------------------------------------------------------*/

#include "stm32l1xx.h"
#include "stdio.h"

/* Exported types ------------------------------------------------------------*/

/* Exported constants --------------------------------------------------------*/

/* Exported macro ------------------------------------------------------------*/

/* Exported functions ------------------------------------------------------- */

void Actuator_Port_Initialization(void);

void Test_Actuator(void);
void Test_Actuator_ZigBee_Comm_TX(void);
void Test_Actuator_ZigBee_Comm_RX(void);

uint8_t Actuator_Output_Port_1_GetValue(void);
void Actuator_Output_Port_1_On(void);
void Actuator_Output_Port_1_Off(void);
void Actuator_Output_Port_1_Toggle(void);

uint8_t Actuator_Output_Port_2_GetValue(void);
void Actuator_Output_Port_2_On(void);
void Actuator_Output_Port_2_Off(void);
void Actuator_Output_Port_2_Toggle(void);

uint8_t Actuator_Output_Port_3_GetValue(void);
void Actuator_Output_Port_3_On(void);
void Actuator_Output_Port_3_Off(void);
void Actuator_Output_Port_3_Toggle(void);

uint8_t Actuator_Output_Port_4_GetValue(void);
void Actuator_Output_Port_4_On(void);
void Actuator_Output_Port_4_Off(void);
void Actuator_Output_Port_4_Toggle(void);

/* External variables --------------------------------------------------------*/

#define ACTUATOR_OUT_PORT_NUM  4

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif  /* __TEST_ACTUATOR_H */

